Personas
POST
/api/v1/personas/generate-prompt

Generate a persona caller prompt from an agent prompt via LLM.

Authorization

AuthorizationBearer <token>

JWT access token. Use: Authorization: Bearer .

In: header

Header Parameters

X-Workspace-Id?string|null
Authorization?string|null
X-API-Key?string|null
X-EFFICIENTAI-API-KEY?string|null

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Generate a persona caller prompt from an agent prompt via LLM.

Response Body

application/json

application/json

curl -X POST "https://example.com/api/v1/personas/generate-prompt" \  -H "Content-Type: application/json" \  -d '{    "agent_id": "2b1e3b65-2c04-4fa2-a2d7-467901e98978"  }'
{  "persona_prompt": "string",  "source_used": "string",  "provider": "string",  "model": "string"}

Community & contact

  1. Found a bug or have a feature request? Open a GitHub issue.
  2. Join our Discord for faster replies!